Subject: bug#44120: 28.0.50; Animated GIFs sometimes leave "trails"

From: Alan Third <[email-masked]>
Date: Thu, 22 Oct 2020 13:14:44 +0100

On Thu, Oct 22, 2020 at 02:01:21PM +0200, Lars Ingebrigtsen wrote:
> Alan Third <[email-masked]> writes:
> 
> > It looks like when a block is updated with a disposal value of 3 we
> > should hang onto the previous contents and then restore them in, I
> > guess, the next frame.
> 
> So...  when rendering frame C, and there was a disposal of value 3 in
> frame B, we should restore that area from frame A?

Yes. That's how I read it.

There's a note that if you are unable to keep the contents then the
next best solution is to cover the area in the background colour. It
appears from the comments that that's the solution we're using, but
it's clearly not working either.
-- 
Alan Third